"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libtool' }"

LibraryDefinition subclass:#stx_libtool
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libtool class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libtool.
    This library contains developer tools.
"
!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.39 2009-10-10 10:10:08 cg Exp $'
!

extensionsVersion_SVN
    ^ 'Id:'
! !

!stx_libtool class methodsFor:'description'!

excludedFromPreRequisites
    "list packages which are to be explicitely excluded from the automatic constructed
     prerequisites list. If empty, everything that is found along the inheritance of any of
     my classes is considered to be a prerequisite package."

    ^ #(
        #'stx:goodies'    "WindowMigrationServer - referenced by AbstractSettingsApplication::MiscCommunicationSettingsAppl>>hasUnsavedChanges "
        #'stx:goodies/communication'    "SmalltalkShareServer - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
        #'stx:goodies/rdoit'    "RDoItServer - referenced by AbstractSettingsApplication::RDoItServerSettingsAppl>>basicSaveSettings "
        #'exept:CC'    "CBrowser::Browser - referenced by FileBrowser>>hasCBrowser "
        #'stx:clients/Demos'    "Demos::ChickenFun - referenced by NewLauncher>>chickenFunIsRunning "
        #'stx:clients/MailTool'    "SendMailTool - referenced by DebugView>>initializeButtonsIn: "
        #'stx:clients/Tools'    "ZipTool - referenced by AbstractFileBrowser>>openZipTool "
        #'stx:libjava'
        #'stx:libjavascript'
        #'stx:goodies/sif'    "SmalltalkInterchangeFileManager - referenced by Tools::NewSystemBrowser>>projectMenuFileOutAsWithFormat: "
        #'stx:goodies/soap'    "SOAP::SoapHttpModule - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
        #'stx:goodies/sunit'    "TestResult - referenced by Tools::NewSystemBrowser>>runTestCasesWithDebug: "
        #'stx:goodies/webServer'    "HTTPEmbeddedApplicationService - referenced by AbstractLauncherApplication::LauncherDialogs class>>communicationsSettings "
        #'stx:goodies/webServer/ui'    "HTTPServerSettingsAppl - referenced by AbstractSettingsApplication::HTTPStartServerSettingsApplication>>hasCreatedServer "
        #'stx:goodies/xml/vw'    "XML::SourceNodeBuilder - referenced by ChangesBrowser class>>readXMLChangesFrom:inBackground: "
        #'exept:xml'    "XMLRepresenter - referenced by Tools::NewSystemBrowser>>canFileOutXML "
        #'stx:goodies/refactoryBrowser/browser'    "MethodNameDialog - referenced by Tools::NewSystemBrowser>>renameMethod:in: "
        #'stx:goodies/refactoryBrowser/changes'    "RefactoryChangeManager - referenced by Tools::NewSystemBrowser>>setUndoCount "
        #'stx:goodies/refactoryBrowser/helpers'    "RBAbstractClass - referenced by Tools::NewSystemBrowser>>handlingRefactoringErrorDo: "
        #'stx:goodies/refactoryBrowser/lint'    "ParseTreeLintRule - referenced by Tools::ClassChecker>>guardingClause "
        #'stx:goodies/refactoryBrowser/refactoring'    "AddParameterRefactoring - referenced by Tools::NewSystemBrowser>>codeMenuAddParameter "
        #'stx:libhtml'    "HTMLDocumentView - referenced by Tools::NewSystemBrowser>>openDocumentation "
        #'stx:libdb'    "SQL::SQLError - referenced by AbstractSettingsApplication::SourceCodeManagementSettingsAppl>>tryToConnectTo: "
        #'stx:libtool2'    "SnapShotImage - referenced by SystemBrowser class>>openOnSnapShotImage: "
        #'exept:osi/asn1'    "OSI::ASN1Browser - referenced by FileBrowser>>openASN1Browser "
        #'exept:xml/inspector'    "XML::XMLInspector - referenced by AbstractFileBrowser>>parseXmlFile "
        #'stx:goodies/httpSupport'    "HTMLUtilities - referenced by CharacterArray>>inspectorExtraAttributes "
        #'stx:goodies/simpleServices'    "WindowMigrationServer - referenced by AbstractSettingsApplication::MiscCommunicationSettingsAppl>>hasUnsavedChanges "
   )
!

preRequisites
    ^ #(
        #'stx:goodies/refactoryBrowser/parser'    "RBProgramNodeVisitor - superclass of Tools::BreakpointBrowser::MessageArgumentExtractor "
        #'stx:libbasic'    "Object - superclass of VersionDiffBrowser::ClassChangeSet "
        #'stx:libbasic2'    "List - superclass of AbstractFileBrowser::DirectoryHistory "
        #'stx:libbasic3'    "ChangeSet - referenced by Tools::ProjectList>>nameListFor: "
        #'stx:libcomp'    "Parser - referenced by Tools::NewSystemBrowser>>checkForEmptyMethodComment:inClass: "
        #'stx:libui'    "VariablePanelSpec - superclass of FileBrowserV2UISpecifications::PanelSpec "
        #'stx:libview'    "TopView - superclass of FileBrowser "
        #'stx:libview2'    "SimpleDialog - superclass of FileDialog "
        #'stx:libwidg'    "DialogBox - superclass of AboutBox "
        #'stx:libwidg2'    "HierarchicalList - superclass of SettingsDialog::HierarchicalApplicationList "
        #'stx:libwidg3'    "ClockView - referenced by WorkspaceApplication>>addStopWatch "
    )
! !

!stx_libtool class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBTOOL_BASE
LIB_BASE=$(LIBTOOL_BASE)
'
! !

!stx_libtool class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        AboutBox
        AbstractFileApplicationNoteBookComponent
        AbstractFileBrowser
        AbstractLauncherApplication
        (AbstractRevisionItem autoload)
        AbstractSettingsApplication
        (AbstractVersionDiffBrowserItem autoload)
        (ApplicationBuilder autoload)
        BookmarksEditDialog
        BrowserView
        ChangesBrowser
        (ClassInspectorView autoload)
        (ClassItem autoload)
        (ClassItemRoot autoload)
        (ClassItemRootForRevision autoload)
        (ClassNameItem autoload)
        (ClassRevisionTree autoload)
        (ClassVariablesInspectorView autoload)
        CodeGeneratorTool
        (ColorInspectorView autoload)
        DebugView
        (Diff3TextView autoload)
        DiffTextView
        (EWorldIconLibrary autoload)
        (EventMonitor autoload)
        (ExpandableRevisionItem autoload)
        FileBrowser
        FileBrowserV2PanelView
        (FileBrowserV2SettingsAppl autoload)
        (FileBrowserV2SettingsDialog autoload)
        (FileBrowserV2Tests autoload)
        FileBrowserV2UISpecifications
        FileDialog
        (FileDialogV2 autoload)
        FileOperation
        FilenameEditFieldV2
        GenericToolbarIconLibrary
        (HierarchicalClassRevisionList autoload)
        (HierarchicalVersionDiffBrowser autoload)
        InspectorView
        ImageInspectorView
        (Launcher autoload)
        (LibraryBuilder autoload)
        MemoryMonitor
        MemoryMonitorView
        (MemoryUsageView autoload)
        MultiViewToolApplication
        (NewChangesBrowser autoload)
        (OldLauncher autoload)
        (ProcessMonitor autoload)
        ProcessMonitorV2
        (ProjectView autoload)
        (RCSConflictEditTextView autoload)
        (SemaphoreMonitor autoload)
        SettingsDialog
        (SmalltalkInspectorView autoload)
        (SourceRevisionItem autoload)
        SystemBrowser
        (SystemStatusMonitor autoload)
        (TerminalApplication autoload)
        #'Tools::BreakpointBrowser'
        #'Tools::CheckinInfoDialog'
        #'Tools::ClassChecker'
        #'Tools::CodeCritics'
        (#'Tools::CompilerWarningToDoListEntry' autoload)
        #'Tools::MethodCategoryCache'
        #'Tools::NavigationState'
        #'Tools::NavigatorModel'
        #'Tools::SearchDialog'
        #'Tools::SpecialCodeView'
        #'Tools::StringSearchTool'
        (#'Tools::ToDoList' autoload)
        (#'Tools::ToDoListBrowser' autoload)
        (#'Tools::ToDoListEntry' autoload)
        (#'Tools::ToDoNotification' autoload)
        VersionDiffBrowser
        (VersionRevisionItem autoload)
        ViewWithAcceptAndCancelBar
        Win32FileDialog
        #'stx_libtool'
        AbstractDirectoryBrowser
        ChangeSetBrowser
        ContextInspectorView
        DictionaryInspectorView
        DiffCodeView
        FileApplicationNoteBook
        FileBrowserV2
        FindFileApplication
        NewLauncher
        OrderedCollectionInspectorView
        SetInspectorView
        #'Tools::BrowserList'
        #'Tools::NavigatorCanvas'
        #'Tools::NewSystemBrowser'
        #'Tools::OrganizerCanvas'
        #'Tools::StringSearchToolForTextView'
        WorkspaceApplication
        XPToolbarIconLibrary
        DirectoryContentsBrowser
        DirectoryTreeBrowser
        #'Tools::ClassCategoryList'
        #'Tools::ClassGeneratorList'
        #'Tools::ClassList'
        #'Tools::MethodCategoryList'
        #'Tools::MethodList'
        #'Tools::NamespaceList'
        #'Tools::ProjectList'
        #'Tools::VariableList'
        VistaToolbarIconLibrary
        #'Tools::FullMethodCategoryList'
        #'Tools::HierarchicalClassCategoryList'
        #'Tools::HierarchicalClassList'
        #'Tools::HierarchicalProjectList'
        #'Tools::ImplementingClassList'
        #'Tools::ImplementingMethodList'
        #'Tools::InheritanceClassList'
        DiffListUtility
    )
!

extensionMethodNames
    ^ #(
        ByteArray inspectorExtraAttributes
        Character inspectorExtraAttributes
        CharacterArray inspectorExtraAttributes
        Collection inspectorExtraAttributes
        Color inspectorClass
        Color inspectorExtraAttributes
        Dictionary inspectorClass
        ExecutableFunction printStringForBrowserWithSelector:
        Form inspectorClass
        Image inspectorClass
        Integer inspectorExtraAttributes
        Method inspectorExtraAttributes
        Method printStringForBrowserWithSelector:inClass:
        Method selectorPrintStringInBrowserFor:
        Method selectorPrintStringInBrowserFor:class:
        MethodDictionary inspectorClass
        Object inspectorExtraAttributes
        OrderedCollection inspectorClass
        RunArray inspectorClass
        Set inspectorClass
        Text inspectorExtraAttributes
        'NameSpace class' inspectorClass
        'Smalltalk class' inspectorClass
    )
! !

!stx_libtool class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Tools'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2009\nCopyright eXept Software AG 1998-2009'

    "Modified: / 08-11-2007 / 16:58:51 / cg"
! !

!stx_libtool class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.39 2009-10-10 10:10:08 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/stx_libtool.st,v 1.39 2009-10-10 10:10:08 cg Exp $'
! !
